_Introducing Book Summary

Introducing MacDrive

This section contains general information about MacDrive for all users.

See the Introducing MacDrive book to the left to explore all of the available topics.


About MacDrive Help

MacDrive does what it does without requiring much attention or direct interaction. For many users, MacDrive Help will be unnecessary, as MacDrive begins silently doing its job as soon as it is installed. There are, however, many examples of special situations and features in this guide that may benefit you in your particular application.

MacDrive Help is divided into four sections:

  • Introducing MacDrive, the section you are reading now.
  • MacDrive Basics outlines the components of MacDrive and describes how MacDrive interacts with various hardware and software.
  • Reference explains exactly how to achieve particular results with MacDrive.
  • Appendices features valuable insights into the workings of MacDrive, and other technical details.

Throughout MacDrive Help, links prefixed with a green arrow indicate that they will activate a component of the product or Windows, such as [image] check for MacDrive Updates.

Links prefixed with a globe indicate that they will take you to a Web site, such as [image] Mediafour Web site.

Green links will display a definition of the term in question when clicked, such as cross-platform .

6/16/2008 9:39:31 AM


MacDrive Overview

Many popular software packages exist in versions for both Windows and Mac OS, and are so similar in design and function that they are file-compatible.

For example, a file created by Microsoft Excel for Macintosh can also be understood by Microsoft Excel for Windows. Even when using such "cross-platform " compatible software, a major and long-standing problem has been the lack of a straightforward way to transfer files between computers of different types.

Mac and PC disks cannot normally be shared between the two types of computers, as each stores the documents you create on disks in different and incompatible ways. Normally, a disk formatted on one platform will not be recognized by the other. Modern Mac systems do include software that allows them to understand PC disks, but the results are not always desirable, and this does nothing to address the problems experienced by Windows users needing files from Mac disks.

MacDrive addresses this problem in a very straightforward manner: it gives the Windows desktop, Explorer and any software running under Windows the ability to freely open and save files on Macintosh disks.

With MacDrive, when you wish to use a Mac disk, you don't need to run any software—to open or save files on a Mac-formatted disk, you just put it in and use it like any other disk.

MacDrive can share all types of files between Macintosh and Windows, but it does not interpret or modify files. This means that you can share all types of files on Mac disks, but you need to have both Windows and Mac OS software that can understand the files you intend to share.

MacDrive provides user-modifiable behaviors so that files created under Mac OS appear with appropriate file name extensions under Windows, and files created on Mac disks under Windows appear with appropriate icons under Mac OS.

You can even format Mac disks and both create and decode MacBinary files with convenient shortcut menu options.

MacDrive is a powerful, fast, flexible, cost-effective and straightforward way to accommodate your Mac/PC file sharing needs. MacDrive is easy to install, works immediately, and quietly provides Windows with the power to access files on Mac disks from any software, at any time.


System Requirements

System requirements are modest. MacDrive requires Windows Vista, Windows XP or Windows Server 2003, and works with most types of Mac disks. There are no special software or hardware requirements, although an appropriate interface (USB, SCSI, FireWire, etc.) is required if you intend to share external drives between Windows and Mac OS by unplugging the drives from one computer and into the other.

MacDrive can access Mac-formatted high-density (1.44MB) floppies (but not low-density 800KB floppies) in a standard 3½" PC floppy drive. You can also share removable media such as Zip disks regardless of how the drive is interfaced with your Windows system (i.e. you can share a disk between a USB Zip drive on your Mac OS system and a built-in IDE Zip drive on your Windows system).

Alert

MacDrive is compatible with some, but not all, Windows virtualization solutions on Macintosh computers.


Registration

It is important that you [image] register MacDrive. Having your registration information on file allows us to keep you up-to-date on MacDrive improvements and let you know about special offers from Mediafour. Your registration also entitles you to free technical support, should you have any difficulties getting MacDrive to perform as expected on your system.

You may register by mailing the registration card included in the MacDrive package, or by clicking MacDrive 7 > [image] Register MacDrive in the Start menu.

Alert

Registration and Activation are not the same thing. You don't have to register to use MacDrive, but you do have to activate.


Technical Support

If you are having trouble with MacDrive, the first place to look is the troubleshooting section of this User Guide.

If you don't find the answer you're looking for there, visit [image] mediafour.com/support/macdrive for your other support options.

Alert

A [image] free MacDrive update that will eliminate whatever problem you are experiencing may be available; be certain to use [image] MacDrive Update to check online for a newer version of MacDrive.

If you don't find the answer to your question in any of those locations, you may need to contact Mediafour for assistance.

Technical support is available only to registered MacDrive users, so it is very important that you register before contacting Mediafour. Details on getting Technical Support for this version of MacDrive are available in the [image] Support Information window.

When you contact Mediafour, please be prepared to provide the following information:

  • Your MacDrive serial number (starts with MD7-) or Support ID (starts with S0-), plus the version of MacDrive currently installed (see the [image] Support Information window)
  • The model and operating system of the computer on which MacDrive is being used
  • Expansion boards installed in the computer (SCSI adapter, USB, Ethernet, etc.)
  • All hard drives and removable cartridge drives installed in or attached to the computer (such as IDE 160GB internal hard drive, external USB Zip, external SCSI 2G Jaz, external FireWire 120GB, etc.)
  • The problem experienced, in as much detail as possible; essential details include the action being taken at the time the problem occurred, the expected results, the type of file being accessed, the software being used, the type of drive used, and the exact text of any error messages that appear.


Software Updates

Mediafour periodically releases free minor MacDrive updates, and also typically makes upgrades to the newest version of MacDrive available to registered MacDrive users at significant discount.

News of updates, upgrades and enhancements are available on the Web at [image] mediafour.com/macdrive, or better yet, through [image] MacDrive Update.


_Basics Book Summary

MacDrive Basics

This section contains general documentation for new MacDrive users.

See the MacDrive Basics book to the left to explore all of the available topics.


Get Started Window

The [image] Get Started with MacDrive 7 window is a handy portal to popular MacDrive features.

You can get to Get Started anytime by clicking MacDrive 7 > Get Started with MacDrive 7 in the Start menu.

You can also open the Get Started window by clicking the MacDrive notification icon and selecting Getting Started with MacDrive 7 from the pop-up menu, or by simply double-clicking the notification icon.


Using MacDrive Immediately

To start using Mac disks right away, do this:

  1. Put a Mac disk in any drive
  2. Access the drive from the desktop, Explorer or your favorite software

You should have no problem accessing most types of disks right away. If you do experience problems, read on through the next three sections of the User Guide to learn more about MacDrive components and compatibility with various types of disks, drives and software.

Alert

The Get Started window is an excellent way to get to various popular MacDrive features quickly.


MacDrive Components

MacDrive typically operates in the background and makes your Windows system ready to access Mac disks at all times. Here are the visible components of MacDrive:

  • Get Started with MacDrive 7 provides a portal to the most popular MacDrive features.
  • About MacDrive shows information about the version of MacDrive installed, as well as activation status.
  • Activate MacDrive provides an interface for activating MacDrive, needed after first installing MacDrive.
  • MacDrive Disk Manager enables you to repair, partition and format Mac disks.
  • MacDrive CD/DVD Creator is a tool for burning Mac CDs and DVDs.
  • MacDrive settings and behavior can be customized in MacDrive Options.
  • The MacDrive Notification Icon indicates when Mac disks are mounted , and proves a shortcut menu with links to several MacDrive features.
  • Additional Mac-specific details about file and folders are found on the MacDrive tabs of the properties of files and folders on Mac disks, and also of the disks themselves.
  • Format Mac Disk option is added to the shortcut menus of most disks.
  • File-naming mode options are added to the shortcut menus of all Mac disks.
  • Show Mac Files and Show Windows Files options are added to the shortcut menus of dual-format CD-ROMs and volume choices are added for multisession CD-Rs.
  • Extract Original Mac File option is added to the shortcut menus of all files with ".bin" or ".hqx" file name extensions.
  • Create MacBinary File option is added to the shortcut menus of all files on Mac disks.
  • Small red apple overlays are added to the icons of drives containing Mac disks.


Media Compatibility

MacDrive enables the Windows desktop, Explorer and other software running under Windows to access nearly any type of Mac disk. Windows, however, must be able to communicate with the drive to allow MacDrive to function.

If you are currently able to use your removable media drive with normal PC-formatted disks, you can be confident that Windows is successfully communicating with the drive, and that MacDrive will be able to recognize Mac disks when they are inserted.

If the disk device is new to your Windows system (as would be the case, for example, when plugging an external drive from a Mac OS system into your Windows PC's USB port for the first time ever), it is likely that it will be recognized by Windows and work properly without requiring the installation of driver software from the drive or adapter manufacturer, but this is not guaranteed.

When attaching a removable media drive, if Windows presents no drive letter for the removable drive, the hardware may not be properly installed, or driver software may be necessary. When attaching a Mac external hard drive, Windows will not present a drive letter unless both the drive and MacDrive are properly installed. If using SCSI or Fibre Channel drives, you can likely watch for notification from the SCSI or Fibre Channel adapter during the boot process detailing detected drives. If a newly-attached SCSI drive is not detected, check for ID conflicts and proper termination.

Regardless of the drive type, if it is not detected, look for faulty cables, check both drive and adapter configuration, and try PC-formatted disks in order to confirm whether the drive is fundamentally working.

MacDrive works with high-density floppies, iPod, hard drives, CD-ROM, CD-R/RW, DVD±RW/±R, Zip, Jaz, SyQuest, MO, ORB and nearly any other disk device that works with Windows.

High-density (1.44MB) Mac floppies can be accessed on any Windows system with a 3½" floppy drive. Low-density (400KB and 800KB) Mac floppies cannot be accessed due to physical differences between the floppy drives in Mac OS systems and Windows PCs.


Software Compatibility

MacDrive makes Mac disks appear and behave almost exactly like standard PC-formatted disks.

MacDrive works well with Microsoft (Word, Excel, FrontPage, PowerPoint, Access, Works), AppleWorks, Adobe (Photoshop, Elements, Illustrator, InDesign, GoLive, Acrobat), Corel Painter, Macromedia (Director, Flash, Fireworks, Dreamweaver, FreeHand), QuarkXpress, FileMaker Pro, Avid (Media Composer, Symphony, Xpress), Digidesign Pro Tools, TransType, LightWave 3D, and countless additional applications.

Classic Mac OS versions support file names up to 31 characters in length, and Mac OS X supports file names up to 255 characters in length. Because Windows supports file names of these lengths, there is rarely a need to shorten a Mac file name for compatibility's sake. MacDrive does occasionally have to present slightly altered filenames, however, as the Mac allows file names containing characters that are forbidden by Windows. In these cases, MacDrive substitutes characters as necessary to bring the displayed file name into compliance with Windows file naming rules.

The way in which MacDrive substitutes characters can be customized somewhat by changing the file naming mode.

Alert

Please note that any time this guide refers to the substitution of characters in file names, it is the file names as they are presented under Windows that are altered—the names of Mac files as they exist on disk are never altered for the sake of compatibility, except when a Mac file is created or renamed from Windows.


_Reference Book Summary

Reference

This section contains specific documentation on a wide variety of MacDrive-related topics.

See the Reference book to the left to explore all of the available topics.


_MacDrive Disk Manager Book Summary

MacDrive Disk Manager

This section contains topics about using the MacDrive Disk Manager to create, format and delete Mac volumes.

See the MacDrive Disk Manager book to the left to explore all of the available topics.


MacDrive Disk Manager

MacDrive Disk Manager is available from the Get Started window and the Start menu.

The MacDrive Disk Manager wizard gives you the ability to analyze and repair Mac disks or create, format and delete Mac volumes.

The first page of the wizard allows you to choose to either Check Mac volumes or Modify Mac volumes.

S


MacDrive Disk Manager: Check

MacDrive Disk Manager: Check Mac volumes

MacDrive Disk Manager is available from the Get Started window and the Start menu.

The Check Mac volumes page of the MacDrive Disk Manager wizard allows you to analyze Mac volumes, and optionally repair any problems found.


MacDrive Disk Manager: Modify

MacDrive Disk Manager: Modify Mac volumes

MacDrive Disk Manager is available from the Get Started window and the Start menu.

The Modify Mac volumes page of the MacDrive Disk Manager wizard allows you to create, format and delete Mac volumes.

The wizard makes the process of partitioning disks and formatting volumes simple and straightforward, but you should keep the following in mind:

  • While you can leave part of a disk unused (called Unallocated space by MacDrive Disk Manager), you will not then be able later make a PC partition or volume (FAT, FAT32, NTFS, or otherwise) in the unallocated space. The only thing you can do with unallocated space is to make additional Mac partitions in it in the future, or simply leave it unused.
  • You cannot use MacDrive Disk Manager to add a Mac partition to a PC-partitioned disk. Using MacDrive Disk Manager on a PC-partitioned disk will destroy all PC partitions.
  • You can't use MacDrive Disk Manager to resize a partition and retain the contents. The only way to resize a partition is to delete and recreate it at a different size, which will result in the loss of any files in the original partition.


_MacDrive Properties Book Summary

MacDrive Options

This section contains topics specific to the MacDrive Options interface.

See the MacDrive Options book to the left to explore all of the available topics.


MacDrive Options

To access MacDrive Options, either click the MacDrive Notification Icon and choose MacDrive Options, or open MacDrive in the Windows Control Panel.

MacDrive Options is divided into three tabs: General, Settings, and File Name Maps .

To open the General tab, [image] click here.

The MacDrive tab in MacDrive Options provides the version of MacDrive currently installed, a link to Get Started with MacDrive 7, and a link to About MacDrive.


MacDrive Options: Settings

MacDrive Properties: Settings

To access MacDrive Options, either click the MacDrive Notification Icon and choose MacDrive Options, or open MacDrive in the Windows Control Panel.

MacDrive Options is divided into three tabs: General, Settings, and File Name Maps .

To open the Settings tab, [image] click here.

The Options tab provides options and settings that are not often needed by most MacDrive users, and should be changed with great care.

Most advanced options are self-explanatory, especially given the tooltips that appear as your pointer hovers over each option, but some benefit from additional explanation, provided below.

Dual-Format CDs/DVDs

  • This the global default for the setting discussed in the Multisession and Dual-Format Discs section.

File Names

  • This the global default for the setting discussed in the File-Naming Modes section.

General

  • The Remind me about MacDrive updates option controls whether or not MacDrive periodically offers to check for updates.
  • The Warn about volumes needing repair option controls whether or not MacDrive displays Volume Check warnings.
  • The Show MacDrive notification icon in taskbar option can be used to bring the notification icon back if it has been hidden.

Advanced

  • The Make all Mac disks read-only option prevents all modification of Mac disks, so it is good for computer forensics or other transfer of irreplaceable data.
  • The Don't warn about damaged volumes option suppresses notifications about damaged volumes. Unless you have a specific technical purpose for turning this option on, it isn't recommended; damaged volumes should be repaired.
  • The Disable MacDrive option provides a way to temporarily deactivate most of MacDrive without uninstalling it.


MacDrive Options: File Name Maps

To access MacDrive Options, either click the MacDrive Notification Icon and choose MacDrive Options, or open MacDrive in the Windows Control Panel.

MacDrive Options is divided into three tabs: General, Settings, and File Name Maps.

To open the File Name Maps tab, [image] click here.

The File Name Maps tab in MacDrive Properties is used to review and customize File Name Maps, which are rules that control how MacDrive handles file types, creators and extensions.

Adjustment of these settings is entirely optional, but there is quite a bit of power to be had here, and the settings are very easy to manage once you have familiarized yourself with them.

File Name Maps enable you to modify and create associations between the Windows and Macintosh methods of identifying file contents. Windows uses file name extensions, while Macintosh uses two four-character codes called type and creator (see Extensions, Types and Creators). File Name Maps enable you to control when and how MacDrive appends file name extensions to the Mac file names it presents (based on the Mac type and creator properties stored with the Mac file), and when and how it sets the type and creator properties for newly made Mac files (based on the Windows file name extension of the file).

Options Menu

This menu in the upper-right of the File Name Maps tab provides options for managing both the display and contents of the File Name Maps list.

  • The View submenu controls whether the File Name Maps are displayed in the default List mode, which shows only the Map names, or in the Details view, which displays additional details about the Extension Maps in four columns labeled Name, Type, Creator and Ext, which is short for Extension.
  • The Export and Import File Name Maps options can be used to transfer full sets of File Name Maps to and from files of your choosing, making it easy for one user to export a customized set of File Name Maps to be imported by other users.
  • Restore Original File Name Maps simply resets all File Name Maps as if MacDrive had just been installed for the first time. No customized Maps are preserved.

File Name Maps list

Any File Name Map in the list can be reviewed or edited by either double-clicking the Map or by selecting it and then clicking Edit in the toolbar above the list. To add a Map, click the New button. To remove a Map, select it and click Delete. When Delete is clicked, you will be asked to confirm the deletion. To skip this confirmation, hold the Shift key while clicking Delete.

To either determine which File Name Map affects the display of a given file's name, or to create a new Map for a given type of file if none already exists, simply drag and drop any file into the File Name Maps list.

The first entry in the list of File Name Maps is called (default) and cannot be deleted or renamed. Any type, creator and file name extension specified in this File Name Map are used by default whenever more appropriate selections do not exist. Typically, there are no defaults specified, as they are likely to affect unintended files, but the changing of these defaults may be desirable for particular purposes.


Edit File Name Map

This window allows you to modify each File Name Map's Name, File type , File creator and Windows file name extension . It also provides checkboxes to indicate how you want these fields to be interpreted.

To avoid tedious typing of the type, creator and file name extension, you can use the Browse buttons to choose sample Mac or Windows files from which these attributes will be imported.

Show this extension

Selecting this option will cause MacDrive to append the file name extension that appears in this File Name Map whenever showing the name of a file that has this File Name Map's type and creator. For example, an Adobe Photoshop image created under Mac OS and saved to a Mac-formatted disk as North Lake would automatically appear under Windows as North Lake.psd, thereby allowing both Windows and the Windows version of Photoshop to recognize the file as a Photoshop document.

Assign this type and creator

Selecting this option will cause MacDrive to assign this File Name Map's type and creator whenever a file ending with the file name extension that appears here is created or renamed on a Mac disk, ensuring that the file will be displayed with the appropriate icon when the disk is used under Mac OS.

Don't remove the extension

Selecting this option will cause MacDrive to leave the file name extension as the file is created on a Mac disk. This will result in the file name extension being present when the disk is used on a Macintosh, which is useful for files such as HTML documents, which may require file name extensions in order to be usable, even on a Mac. For each File Name Map in which it is turn on, this option overrides the global Remove known extensions when creating Mac files option on the Advanced tab.

If you leave either the File type or File creator fields blank, it will act as a wildcard. This is valuable in situations in which you want all files of a certain type or all files created by a certain program to get the same file extension. For example, a File Name Map with a type of TEXT, a blank creator and an extension of TXT will cause all Mac files with file types of TEXT to be displayed under Windows with file name extensions of .TXT, regardless of their file creators.


_MacDrive Warnings Book Summary

MacDrive Warnings

This section contains topics about various warnings that MacDrive may display.

See the MacDrive Warnings book to the left to explore all of the available topics.


Mac Volume Check

Whenever an attempt is made to mount a Mac disk, MacDrive first checks the disk to see if it was properly dismounted the last time it was used.

If there are signs that it wasn't, MacDrive displays a warning like the example below.

If MacDrive displays this warning, it doesn't necessarily mean that the disk is damaged; it simply means that there is significant risk of that, and that the disk should checked in order to avoid problems and potential further damage.

In most cases, you should click Check Volume, which will open MacDrive Disk Manager and analyze the condition of the disk, after which it will prompt you to repair the disk, if any problems are found.

Alert

If you click Mount Anyway, the disk will mount without first being analyzed or repaired, which may result in data loss.


Mac Disk Protection

Whenever an attempt is made to change the partitioning on Mac disk by any Windows software other than the MacDrive Disk Manager, MacDrive steps in to mediate the situation.

This is done because if Windows software other than MacDrive Disk Manager makes changes to the partitioning on a Mac disk, the disk will no longer be Mac-partitioned or Mac-formatted, and all contents of the Mac disk will be lost.

Sometimes this is a desirable outcome, if a Mac disk is no longer needed, and you want to repartition and reformat it for use exclusively with Windows. In this case, you should select the Erase the Mac disk... option.

At other times, however, MacDrive steps in and protects a Mac disk from accidental damage. In that case, you should choose the Don't change the Mac disk option.

If you decide that you really do want to change partitions on the Mac disk, but want it to remain a Mac disk when you are done, you should choose the Modify the Mac disk... option.


About MacDrive Window

The [image] About MacDrive window is available from the Get Started window, MacDrive Options , and the Start menu.

This window displays details about the MacDrive installation, including the software version and activation status.


Activate MacDrive

Activate MacDrive is available from the MacDrive notification icon, the Get Started window and the Start menu.

The Activate MacDrive wizard provides a straightforward interface for activating MacDrive after installation.

After installation, you must activate MacDrive by Internet or phone in order to access Mac disks.


Creating Mac CDs and DVDs

MacDrive CD/DVD Creator is a simple but powerful disc authoring and burning application for the purpose of creating Mac-formatted CDs and DVDs.

MacDrive CD/DVD Creator can be started by clicking the link above, by clicking MacDrive 7 > Tools > Create a Mac CD or DVD in the Start menu, or from the Get Started window.

MacDrive CD/DVD Creator can burn CD-R/RW and DVD±RW/±R discs.

The various controls in the window are fairly self-explanatory, but worthy of a bit of additional explanation:

File list

This list in the center of the window displays details about all files and folders prepared to be burned to a disc. When you close and restart MacDrive CD/DVD Creator, the contents of this list will be remembered. If you want to start over with an empty list, use the New button.

New

This button clears the file list of all files and folders.

Add

This drop-down allows you to add either individual files or whole folders at a time. You can also drag-and-drop files and folders into the file list.

Delete

This button deletes whatever items are currently selected in the file list.

New Folder

This button creates an empty folder inside of whatever container is currently selected in the file list.

Drive list

This drop-down list appears only if you have more than one drive on your system capable of burning discs.

Eject

This button ejects any disc in the current burning drive.

Help

This button takes you to this page.

Burn Disc

This button starts the disc writing process.

The graphic and text in the lower-left corner of the window show how full the current burnable disc would be if burned at any point, and details about the type and capacity of the current burnable disc. If no burnable disc is currently in the appropriate drive, then no useful information will be available here.

Alert

If you have a drive capable of burning CDs and/or DVDs that isn't recognized by MacDrive CD/DVD Creator, please [image] let us know online.


MacDrive Disk Manager: Check

Format Mac Disk…

The Format Mac Disk option appears under the MacDrive shortcut menu in the shortcut menus of most disk icons.

Choosing this option opens the MacDrive Disk Manager.


Create MacBinary File…

A Create MacBinary File option appears in the in the shortcut menus of all types of files on Mac disks.

A MacBinary file is a single file that contains both the data and resource forks of a Mac file, along with the original file name, icon and other Mac-specific properties.

When Create MacBinary File is clicked, you will be presented a folder browsing window so that you can select the folder into which the MacBinary files will be created. The MacBinary files are automatically named by appending a file name extension of .bin to each of the original Mac file names.

This option creates MacBinary III files, which are supported by older software designed for compatibility with MacBinary II files, as well as newer software specifically designed to take advantage of the additional information stored in MacBinary III files.

See also Extract Original Mac File.


Extract Original Mac File…

An Extract Original Mac File option appears in the shortcut menus of files that are likely MacBinary or BinHex files. MacDrive makes this option available only for files with extensions of .bin or .hqx, so you will first need to rename a file if you are certain it is a MacBinary or BinHex file, but it does not already have the appropriate extension.

When Extract Original Mac File is clicked, you will be presented a folder browsing window so that you can select the folder into which the Mac files will be extracted. MacBinary and BinHex files contain the original Mac file names, so these names are used when extracting files.

If you extract a Mac file to a non-Mac disk, you will be warned that some data will not be extracted. If you proceed, the result will be extraction of the Mac file's data fork, but no resource fork, icon, or other Mac-specific properties. This is typically generally not a problem when extracting documents.

Extract Original Mac File works with all BinHex files, and both MacBinary II and MacBinary III files.

See also Create MacBinary File.


MacDrive File Properties Tab

When any disk, file or folder is selected, the Windows shortcut menu offers a Properties option, which opens a tabbed window that provides detailed information about the selected objects. When you view properties for a Mac disk or a file or folder on a Mac disk, MacDrive adds a MacDrive tab to the properties display. Clicking the MacDrive tab reveals properties that are exclusive to Mac disks, files and folders.

Below is an explanation of the properties that appear for files on Mac disks. The properties of disks and folders differ somewhat, but are generally similar.

Mac name

Displays the file's true Mac name as it exists on disk. This may be different than the name reported by Windows due to the application of Extensions Maps and the necessity of changing some Macintosh file names slightly so that they don't violate any Windows file-naming rules.

Data size

Displays the size of the file's data fork , where cross-platform data is usually stored.

Resource size

Displays the size of the file's resource fork , where additional data, usually Mac-specific, is stored.

Backed up

Displays the date that the file was last backed up, if ever.

File type and File creator

Displays the four-character codes stored by Mac OS that indicate the type of data contained in the file and the software that created the file. See both Extensions, Types and Creators and MacDrive Options: File Name Maps for details on how you can configure MacDrive to append extensions to the names of files on Mac disks based on type and creator attributes, as well as assign type and creator attributes based on the file name extensions of newly-made Mac files.

Advanced

Click to open a window with additional advanced attributes of the disk, folder or file. Only the Name Locked attribute can ever be changed using MacDrive; the other attributes are shown only for your reference.

Comments

This field, which is not shown in the illustration of the main MacDrive properties tab, appears only when viewing properties of files and folders on Mac floppies, and only when the file or folder in question has comments associated with it.


Using DMG Files

MacDrive can mount a Mac disk image stored in a .dmg file as a virtual read-only disk.

To mount a Mac disk image, simply double-click a .dmg file. After the volume mounts, you can use it like a normal Mac disk, though you can't add or change any files.

To dismount a Mac disk image, simply choose Eject from the disk's shortcut menu .

Alert

Encrypted Mac disk images are not supported by MacDrive. In addition, Mac disk images can't be stored on network volumes, encrypted NTFS volumes or compressed NTFS volumes.


MacDrive in the Start Menu

You can get to a variety of MacDrive features, documentation and assistance from the MacDrive 7 folder in the Start menu.

To get to the MacDrive 7 folder, do the following:

  • Click the Start button in the system taskbar (commonly at the bottom left of your screen)
  • Click All Programs

In the list that appears, you should see the MacDrive 7 folder.


MacDrive Notification Icon

The MacDrive notification icon appears in the taskbar notification area (sometimes called the "system tray") in the corner of your screen, near where the Windows clock is typically displayed.

The MacDrive notification icon is entirely optional, so you may hide it at any time, but it does serve a couple of significant purposes, described below.

Mac disk notification

Whenever MacDrive discovers a new Mac disk, the notification icon flashes several times, alternating with an image of the icon of the drive in which the new Mac disk was discovered.

MacDrive cannot flash the icon until the new disk is discovered by Windows, so when using different types of disks, the flashing will occur at different times. For example, floppy disks are not discovered until the first attempt to access them. In the case of most CD-ROM and removable media drives such as Zip drives, disks are discovered just moments after being inserted. Hot-swappable USB and FireWire hard drives are typically discovered as soon as they are plugged into the appropriate port.

Shortcut menu

The MacDrive notification icon features a shortcut menu that appears when the icon is clicked. The menu provides shortcuts to Get Started with MacDrive 7, MacDrive Properties, and this User Guide.

Get Started with MacDrive 7 provides links to these items and more, and it is available in the Start menu at MacDrive 7 > Get Started with MacDrive 7, so if you decide to Hide this icon from the shortcut menu, you won't be losing access to anything that you can't access another way. Hiding the notification icon does not otherwise change the behavior or capabilities of MacDrive.


MacDrive Shortcut Menu Options

MacDrive shortcut menu options appear within the shortcut menus of some files and all disks. The options available in each MacDrive shortcut menu vary with the type of files and disks selected:

  • The shortcut menus of files on Mac disks and all files with .bin or .hqx file name extensions contain MacBinary and BinHex options.
  • The shortcut menus of multisession CDs and DVDs include a Mac Volumes submenu for changing the mounted volume.
  • The shortcut menus of dual-format CDs and DVDs include Show Windows Files and Show Mac Files options for changing how the disc is mounted.
  • The shortcut menus of all Mac disks include a Mac File Names submenu for changing the file naming mode.


Multisession and Dual-Format Discs

Multisession Mac recordable CD and DVD shortcut menus

A list of the names of available volumes appears in the disc shortcut menus of multisession recordable CDs and DVDs . Selecting a new volume dismounts the current volume and mounts the selected volume. The effect is much like ejecting one disc and inserting another. MacDrive will remember which volume you last used on a particular disc, and will return you to that session when that disc is used again.

Dual-format Mac CD-ROM shortcut menus

Some CDs and DVDs have both Windows (ISO-9660) and Mac (HFS or HFS+) volumes on them. MacDrive enables you to easily choose which set of files you'd like to access from the disc shortcut menu. As with multisession discs above, the effect is much like ejecting one disc and inserting another. MacDrive will remember which volume, Windows or Mac, you last used on a particular disc, and will return you to that volume when that disc is used again.

Alert

On some computers, after choosing a new volume on a multisession CD-R or a new file set on a dual-format CD-ROM, the name of the disk as it appears under Windows Explorer may not be properly updated. Therefore, if there is any doubt, you should look at the contents of the disk and the MacDrive shortcut menu, rather than the name of the disk, to assure that the desired volume is currently mounted.


File Naming Modes

Each Mac disk can be set to one of three file naming modes in the disk's shortcut menu. Each mode affects the display of the names of all files on that disk differently:

Normal Use

Appropriate for normal day-to-day usage; this mode maximizes compatibility with a wide range of software, and preserves international characters where possible. File name extensions are handled as generally represented by this User Guide. This is the default setting.

International Use

Appropriate for a disk containing files named using international Unicode characters, in cases where preservation of those characters is important, but compatibility with a wide range of software is less important. File name extensions are handled as generally represented by this User Guide.

Backup/File Transfer

Appropriate for tape backups of Mac disks, or transfers of files from one Mac disk to another, including between a true Mac disk and an NTFS volume storing a Services for Macintosh network share. This mode does an excellent job of preserving Unicode characters, but, unlike the other two modes above, does not append artificial file name extensions for software-compatibility purposes.

Individual Mac disks can be in different file-naming modes concurrently. MacDrive will remember what mode was last assigned to a particular disk, and will automatically maintain that mode whenever that disk is used again in the future.


Customizing Explorer

Additional Explorer Column Settings

This feature expands the options for display of columns in Windows Explorer, and is available only under Windows XP. The additional options are available from Explorer's Choose Details or Column Settings window, which is available by selecting Choose Details in the View menu under Windows XP.

The four options are Mac Resources, Mac Type, Mac Creator and Mac Backup Date. Each adds the selected information in a separate column in Windows Explorer. This allows you to see Mac-specific information without viewing the properties of each file individually.


Using MacDrive with Virtualized Windows

MacDrive works with Windows running virtually under Mac OS X using [image] Parallels Desktop for Mac or [image] VMware Fusion, with the exception in both cases that the Mac OS X system volume will be inaccessible.

In such cases, the Mac OS X system volume is inaccessible because as with any operating system, Mac OS X requires exclusive access to any volumes it has mounted.

Alert

Because virtualization is not involved, MacDrive will mount the Mac OS X system volume when Windows is running on an Intel-based Macintosh computer using [image] Boot Camp.

Alert

Use of MacDrive with other Windows virtualization solutions such as Virtual PC or RealPC is unsupported, and may put your data at risk.


_Appendices Book Summary

Appendices

This section contains additional documentation on a few specific MacDrive-related topics.

See the Appendices book to the left to explore all of the available topics.


About Software Activation

After MacDrive 7 has been purchased, it must be activated. The software will work for five (5) days before it must be activated, though if the software was evaluated before being purchased, those days may have already been used.

If you have an Internet connection, activation takes only moments. If you don't have an Internet connection, you can activate by phone.

To [image] activate MacDrive 7, you'll need your MacDrive 7 serial number.

The activation process sends your serial number and an unique computer identification number to a Mediafour software activation server, which will respond within moments with permission to enable MacDrive 7.

The activation process enables all permitted uses under the End User License Agreement pertaining to this product. Typically, the activation process prevents a single license of MacDrive 7 from being installed on more than one computer, thereby helping keep software costs low.

The process has been carefully designed to work quickly and simply. If you run into any problems, please contact Mediafour Technical Support.

The unique computer identification number sent to Mediafour doesn't identify you personally. No information about the communication with the Mediafour activation server is retained other than the submitted serial number, computer identification number, and IP address of the computer requesting activation.

Alert

If, after activating MacDrive 7, you make significant hardware or operating system changes to your existing computer or purchase a new computer, reactivation will likely fail. If this occurs, please provide Mediafour Technical Support with your serial number and explain the situation, and we'll help you reactivate the software.
Note

Registration and Activation are not the same thing. You don't have to register to use MacDrive, but you do have to activate. For more information about software activation, please visit the [image] Mediafour Knowledge Base.


Extensions, Types and Creators

Under Windows, long file names typically end with a period followed by a "file name extension" of one or more characters (typically three, and rarely more than six), indicating both to Windows and to the user the type of data that is stored in a given file. Windows uses this extension to decide what type of icon to display for a file and how to handle user input such as the double-clicking of a file icon. This extension is very significant, as Windows typically considers it the sole indicator of a file's contents.

Classic Mac OS versions handle identification of a file's content very differently. With each file, the Macintosh stores two four-character fields called the "type" and "creator" fields. These fields are not part of the file name, and are typically invisible to the user. The contents of these fields indicate to Mac OS the type of data in the file and the software that created the file, respectively. The Macintosh decides how to handle user input such as the double-clicking of a file solely by interpreting the type and creator for the file, and therefore has no need for file name extensions, so they were once rarely used in Mac file names.

Mac OS X complicates the issue somewhat, as Mac OS X supports both file name extensions and type/creator pairs, so you may see files from Mac OS X systems with file name extensions, but no type and creator, or vice-versa, or with both type/creator pairs and file name extensions.

MacDrive provides a powerful mechanism for making these two very different file identification methods work together. File Name Maps are user-modifiable rules that tell MacDrive when and how to append Windows file name extensions based on Mac type/creator pairs, and conversely, when to assign Mac type/creator pairs based on the Windows file name extensions of newly-made or newly-renamed files.

For example, that a Microsoft Word for Macintosh document named Letter to Steve can automatically appear as Letter to Steve.doc under Windows, and a Windows bitmap image saved to a Mac disk as Logo.jpg could automatically be assigned an appropriate type and creator so that the file will be recognized as a JPEG image called simply Logo under Mac OS.

Though most users need never make any changes in this area, some specialized applications can benefit greatly from customized maps.


Troubleshooting

Why doesn't this floppy disk work?

A floppy disk may not be recognized by MacDrive because it is corrupted or damaged, because it is not actually a Macintosh-formatted disk, or because it is a low-density floppy. You can verify that a disk is high-density by ensuring that there is a rectangular hole in the upper-left corner of the disk, opposite the sliding write-protect tab in the upper-right. You can be certain that a disk is Mac-formatted and undamaged by attempting to use the disk under Mac OS. If the disk's behavior is unusual even on the Macintosh, use of a Mac disk repair utility such as the Mac OS X Disk Utility is recommended.

Why can't I open my Macintosh files?

MacDrive is not a file translator, so you must have software on your Windows system that is capable of understanding the Mac files that you intend to share. Many software packages (such as Microsoft Word) exist in versions for both Windows and Mac OS— documents and data files created by such software are easily shared. Audio and image files are often stored in formats that are not associated exclusively with a particular operating system (such as MP3, JPEG and GIF)— such files can generally be shared very readily. Your ability to share other data, such as databases, depends on the capabilities of the software that you have installed on both the Mac and PC.

Why can't I run my Macintosh game, word processor, or other software?

MacDrive is not a Mac OS emulator, so it can't make Windows run your Macintosh software. MacDrive is for sharing cross-platform documents and data files. If you intend to use data from one platform on the other, you must have software on both systems that can deal with the data in question— for example, MacDrive can share Adobe Photoshop documents between Macintosh and Windows systems, but you must have Photoshop or other compatible software on both systems in order to accomplish this.

Why don't I see the icons or file name extensions that I expect?

The File Name Maps tab of MacDrive Options provides a simple interface for editing the rules that determine what icons Mac OS will display when Windows creates a file on a Mac-formatted disk and what file name extensions Windows will display for files on Mac-formatted disks. See both Extensions, Types and Creators and MacDrive Options: File Name Maps for details on the relationships between Windows file name extensions and Mac OS type and creator codes .

Why are there unexpected characters in some file names?

The Macintosh and Windows character sets are different. Every provision has been made to properly translate international and symbol characters properly between the two operating systems, but both operating systems utilize characters that are unavailable on the other. This affects the appearance of some file names under Windows, but the files are accessible and the names will continue to look correct under Mac OS. You can affect the way characters are translated by changing the MacDrive file naming mode.

Why can't I delete certain folders, even though they are empty?

The folder most likely only appears to be empty. A folder may contain critical Macintosh system files that are intentionally inaccessible through MacDrive. Another possibility is that Windows may be configured not to show hidden files, and these unseen files may simply be hidden.

Why does my Windows disk maintenance software dislike my Mac disk?

Alert

Beware of this situation— if Windows disk defragmentation, maintenance or recovery software accesses a Macintosh disk, it won't know how to deal with it, and will likely want to "fix" it by trying to improperly coerce it into being a PC disk.

This will not work, and will certainly cause loss of some or all of the data on the disk, so it should never be attempted.

I thought that this was a Mac CD-ROM—why am I not seeing Mac files?

Some CD-ROMs have both Macintosh and PC volumes. Normally, when presented with such a dual-format CD-ROM, MacDrive will ignore the Macintosh (HFS or HFS+) volume, and allow the PC (ISO-9660) volume to be made accessible. You can choose to access the Mac volume, instead, by selecting it in the disc's MacDrive shortcut menu options.

I made some changes in MacDrive Options—where did my files go?

Though it isn't typically the case, to update file listings on the desktop or in Windows Explorer, you may need to select Refresh from the View menu or press the F5 key. The methods for refreshing file listings in other software vary, but choosing a different folder and then returning to the original folder will usually accomplish this.

Why am I having problems using MacDrive with Windows running on my Macintosh computer?

Alert

MacDrive works well with Windows running on an Intel-based Macintosh computer using [image] Boot Camp.

If you are running Windows virtually under Mac OS X, you should read Using MacDrive with Virtualized Windows.

Why am I seeing a 'Mac disks are not accessible' message after I restart my computer?

If any of the file or settings associated with MacDrive become corrupted for any reason, you may see this message. If you do, it is recommended that you repair your MacDrive installation. If MacDrive still isn't working properly after [image] repairing the installation and restarting your computer, you should seek technical support.


Trademarks, Copyrights and Licensing

MacDrive, the MacDrive logo, Mediafour and the Mediafour logo are trademarks, and XPlay is a registered trademark, of [image] Mediafour Corporation.

Microsoft and Windows are registered trademarks of [image] Microsoft Corporation.

Apple, Mac, Macintosh, iTunes and iPod are trademarks of [image] Apple, Inc., registered in the U.S. and other countries.

All other trademarks are property of their respective holders.

All source code used under the Apple Public Source License is available under the terms of the Apple Public Source License for download at [image] go.mediafour.com/macdrive/apsl.

This documentation and proprietary software are Copyright © 1996-2007 Mediafour Corporation.


Glossary

BinHex

BinHex is a file format used to store and transfer Mac files on non-Mac disks and computers. BinHex is a very popular format for Mac files available on the Internet. A BinHex file contains the original Mac file's name, icon, system bits, dates, file type, file creator, data fork and resource fork. MacDrive does not create BinHex files, but it will extract Mac files from existing BinHex files.

Burn

In the case of creation of CD-R/RW or DVD±RW/±R discs, to burn a disc is to write data to the disc. Burning refers to the act of a laser modifying the surface of the disc to represent the data being written.

Cross-platform

Anything that is intended for use with multiple operating systems. Many popular types of data files are regularly used with multiple operating systems, such as MP3 audio files and JPEG image files. Some software packages are also considered to be cross-platform, meaning that functionally equivalent implementations of the same software package are available for multiple operating systems, and that the various implementations can use the same data files. MacDrive does an excellent job of helping these types of software packages share their documents and data files between Mac OS and Windows.

Data fork

Each Macintosh file has two components called "forks" (see also Resource fork, below). The data fork is the primary fork— data that is useful when shared between Macintosh and Windows is usually stored here. When Windows shows a listing of files on a Mac disk, it always refers to the data forks.

Dismount

To politely eliminate all access to a volume (see Volume below) that was previously accessible.

File Creator

A property of a Mac file that consists of a four character code indicating the software that created the file. This information is not normally available when using a Mac, but MacDrive makes the information available from the MacDrive tab of a file's properties window.

File name extension

Under Windows, file names frequently end with a period and a two- or three-character "file name extension" that indicates both to Windows and to the user the type of data that is stored in a given file. Windows uses this extension to decide what type of icon to display for a file and how to handle user input such as double-click. This extension is very significant, as it is the primary indicator of a Windows file's contents.

File Type

A property of a Mac file that consists of a four character code indicating the nature of the data stored in the file. This information is not normally available when using a Mac, but MacDrive makes the information available from the MacDrive tab of a file's properties window.

Long file name

This is any name that violates the limitations of a short name. Windows Desktop, Explorer and most Windows software packages display long names when displaying file listings.

MacBinary

MacBinary is a file format used to store and transfer Mac files on non-Mac disks and computers. A MacBinary file contains the original Mac file's name, icon, system bits, dates, file type, file creator, data fork and resource fork. MacDrive will both extract Mac files from MacBinary files and create MacBinary files from files on Mac-formatted disks.

Mount

To make a volume (see Volume below) accessible. When a removable disk is inserted in a drive, or a hot-swappable drive is plugged in, Windows will scan the disk for partitions (see Partition below) containing volumes. Each volume found is then mounted, meaning that it will be given a drive letter and made accessible to the user.

Multisession CD-R

A multisession CD-R is a disc which has not been created all at once, but instead has had files added during two or more "sessions." Effectively, such a disc contains multiple distinct volumes.

Partition

An area of a disk designated to remain isolated from other partitions on the same disk, and typically intended to contain a volume (see Volume below).

Removable media

Any type of storage device which allows removal of the physical storage medium (the "disk" or "cartridge"). Examples of this type of device include Zip, Jaz, SyQuest, optical, and ORB.

Resource fork

This is the secondary component of a Macintosh file (see also Data fork, above). Information about a file's Resource Fork is available in the MacDrive File Properties tab.

Short file name

A short name is also known as a DOS-style or eight-dot-three (8.3) file name. Older 16-bit (Windows 3.x) software will most likely support only short names, which are limited to a maximum of eight characters followed by a period and three more characters. Furthermore, the characters must be uppercase and are limited to letters, digits, and a few select punctuation symbols— even spaces are forbidden.

Shortcut menu

Windows software frequently makes functions and options available via pop-up menus that appear when the alternate (usually right) mouse button is pressed. The menus are also sometimes called "context menus" because they are context-sensitive— the contents of the menu depend on what the mouse pointer is pointing at when the alternate mouse button is pressed. For example, the shortcut menu of an item in a scrolling list might provide options that affect only the selected item, while the shortcut menu of the list itself (not pointing at any particular item) might provide options that affect the appearance or behavior of the list itself.

Services for Macintosh

Services for Macintosh is standard Microsoft software on Windows XP-, 2000- and NT-based servers which enables Windows to act as a file server for Mac OS-based network clients.

On such a Windows system, when the Show Windows-compatible file names advanced option is turned off, Mac OS file names are made acceptable to Windows by substituting legal Unicode characters for illegal Mac characters, much as is done by Services for Macintosh in order to preserve the exact names of files saved to NTFS disks by Mac clients. Because MacDrive does this and also represents resource forks and file headers as file streams, while this advanced setting is turned off, every file copied between an actual Mac disk and an NTFS volume hosting a virtual Macintosh network volume will retain its exact name, Finder flags, custom icon and resource fork.

It should be noted, however, that a great deal of Windows software does not deal well with file names containing these Unicode characters. In addition, this setting overrides all file name extension appending and removal, so this setting should be off only when your goal is to transfer files between disks, and not when you are opening and saving documents and data files.

Volume

An organizational and storage system for files that either occupies a whole disk, or occupies a partition, in the case that a disk is partitioned (see Partition above). When a set of files is accessed through a drive letter, it is a volume that is being accessed.